/*
 * Antikode variables-custom.scss
 * Version - 1.1.1
 *
 * Copyright (c) 2018 Antikode
 */

/* ==========================================================================
   Antikode's Own Variables
   ========================================================================== */

/* Directory
-------------------------------------------------- */
$dir-assets:'../../assets';
$dir-fonts:'../../assets/fonts';
$dir-img:'../../assets/img';


/* ==========================================================================
   Options
   ========================================================================== */

/* Options - Modify Global Styling
-------------------------------------------------- */
$enable-caret:              true !default;
$enable-rounded:            false !default; // Antikode
$enable-shadows:            false !default;
$enable-gradients:          false !default;
$enable-transitions:        true !default;
$enable-hover-media-query:  false !default; // Deprecated, no longer affects any compiled CSS
$enable-grid-classes:       true !default;
$enable-print-styles:       true !default;

 
/* ==========================================================================
   General
   ========================================================================== */

/* Colors - Slate Gray
-------------------------------------------------- */
// $white:    #fff !default;
// $gray-20:  #fafafa !default; // Antikode
// $gray-50:  #f1f3f4 !default; // Antikode
// $gray-70:  #e2e6e9 !default; // Antikode
// $gray-100: #e9ecee !default; // Antikode
// $gray-200: #c8ced5 !default; // Antikode
// $gray-300: #b2bbc3 !default; // Antikode
// $gray-400: #9ca7b2 !default; // Antikode
// $gray-500: #7b8a99 !default; // Antikode
// $gray-600: #677685 !default; // Antikode
// $gray-700: #4e5964 !default; // Antikode
// $gray-800: #343b43 !default; // Antikode - $body-color
// $gray-900: #1a1e22 !default; // Antikode
// $black:    #000001 !default;

/* Colors - Normal Gray
-------------------------------------------------- */
// Choose one between this / slate gray
$white:    #fff !default;
$gray-20:  #fafafa !default; // Antikode
$gray-50:  #f2f2f2 !default; // Avrist
$gray-70:  #ededed !default; // Core
$gray-100: #e5e5e5 !default; // Antikode
$gray-200: #cccccc !default; // Antikode
$gray-300: #b3b3b3 !default; // Antikode
$gray-400: #999999 !default; // Antikode
$gray-500: #808080 !default; // Antikode
$gray-600: #666666 !default; // Antikode
$gray-700: #4d4d4d !default; // Antikode
$gray-800: #333333 !default; // Antikode - $body-color
$gray-900: #191919 !default; // Antikode
$black:    #333333 !default; // Avrist

/* Colors - Other Colors
-------------------------------------------------- */
$blue:    #007bff !default;
$indigo:  #6610f2 !default;
$purple:  #432862 !default; //avrist
$purple-dark: #3A2158 !default; //avrist
$pink:    #e83e8c !default;
$red:     #DC383E !default; //avrist
$orange:  #fd7e14 !default;
$yellow:  #F3B229 !default; //avrist
$green:   #B9D137 !default; //avrist
$green-2: #44A984 !default; //Avrist
$teal:    #66C4A2 !default; //avrist
$cyan:    #17a2b8 !default;
$silver: #d8d8d8 !default; //avrist
$golden:  #F8C761 !default; //avrist
$platinum: #151D49 !default; //avrist
$gray-avrist: #7F8AA3 !default;
$green-avrist: #579792 !default;


/* Theme Colors
-------------------------------------------------- */
$primary:       $purple !default;
$secondary:     $gray-400 !default; // Antikode
$success:       $green !default;
$info:          $cyan !default;
$warning:       $yellow !default;
$danger:        $red !default;
$light:         $gray-20 !default;
$dark:          $gray-900 !default;
$gi:          $gray-avrist !default;
$avram:         $green-avrist !default;

$theme-colors: () !default;
$theme-colors: map-merge((
  "primary":    $primary,
  "secondary":  $secondary,
  "success":    $success,
  "info":       $info,
  "warning":    $warning,
  "danger":     $danger,
  "light":      $light,
  "dark":       $dark,
  "avram":       $avram,
  "gi":       $gray-avrist,
  "gray-20":    $gray-20,
  "gray-50":    $gray-50,
  "gray-70":    $gray-70,
  "gray-100":   $gray-100,
  "gray-200":   $gray-200,
  "gray-300":   $gray-300,
  "gray-400":   $gray-400,
  "gray-500":   $gray-500,
  "gray-600":   $gray-600,
  "gray-700":   $gray-700,
  "gray-800":   $gray-800,
  "gray-900":   $gray-900
), $theme-colors);

/* Body Color
-------------------------------------------------- */
$body-bg:                   $white !default;
$body-color:                $gray-800 !default; // Antikode

/* Links
-------------------------------------------------- */
$link-color:                theme-color("warning") !default;
$link-decoration:           none !default;
$link-hover-color:          darken($link-color, 15%) !default;
$link-hover-decoration:     none !default; // Antikode

/* Spacing
-------------------------------------------------- */
$spacer: 1rem !default;
$spacers: () !default;
$spacers: map-merge((0: 0, 1: ($spacer * .25), 2: ($spacer * .5), 3: $spacer, 4: ($spacer * 1.5), 5: ($spacer * 3) ), $spacers);

/* Components
-------------------------------------------------- */
$line-height-lg:              1.5 !default;
$line-height-sm:              1.5 !default;

$border-width:                1px !default;
$border-color:                $gray-100 !default; // Antikode

$border-radius-sm:            .25rem !default; // Antikode
$border-radius:               .5rem !default; // Antikode
$border-radius-lg:            1rem !default; // Antikode

$box-shadow-sm:               0 .25rem .5rem rgba($black, .075) !default; // Antikode
$box-shadow:                  0 .5rem 1rem rgba($black, .15) !default; // Antikode
$box-shadow-lg:               0 1rem 3rem rgba($black, .175) !default;

$box-shadow-sm-primary:       0 .125rem .25rem rgba($primary, .075) !default;
$box-shadow-primary:          0 .5rem 1rem rgba($primary, .15) !default;
$box-shadow-lg-primary:       0 1rem 3rem rgba($primary, .175) !default;

$component-active-color:      $white !default;
$component-active-bg:         theme-color("primary") !default;

$caret-width:                 .3em !default;

$transition-base:             all .2s ease-in-out !default;
$transition-fade:             opacity .15s linear !default;
$transition-collapse:         height .35s ease !default;
$transition-color:            color .2s ease-in-out; // Antikode


/* ==========================================================================
   Fonts
   ========================================================================== */

/* General Fonts
-------------------------------------------------- */
$font-family-sans-serif:      "DIN", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol" !default; // Antikode
$font-family-serif:           "DIN", Georgia, serif, "Palatino Linotype", "Book Antiqua", Palatino, serif, "Times New Roman", Times, serif !default; // Antikode
$font-family-monospace:       SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace !default;

$font-size-base:              1rem !default; // Assumes the browser default, typically `16px`
$font-size-lg:                ($font-size-base * 1.25) !default;
$font-size-sm:                ($font-size-base * .875) !default;

$font-weight-light:           300 !default;
$font-weight-normal:          400 !default;
$font-weight-bold:            700 !default;

$font-weight-base:            $font-weight-normal !default;
$line-height-base:            1.5 !default;

/* Font Base - Heading
-------------------------------------------------- */
$font-family-base:            $font-family-sans-serif !default; // Antikode (Change this for the base)
$headings-font-family:        $font-family-serif !default; // Antikode (default: inherit)

/* Heading
-------------------------------------------------- */
$headings-margin-bottom:      ($spacer / 2) !default;
$headings-font-weight:        700 !default;
$headings-line-height:        1.2 !default;
$headings-color:              inherit !default;

/* Display
-------------------------------------------------- */
$display1-weight:             300 !default;
$display2-weight:             300 !default;
$display3-weight:             300 !default;
$display4-weight:             300 !default;

$lead-font-weight:            300 !default;

/* Other
-------------------------------------------------- */
$small-font-size:             80% !default;

$text-muted:                  $gray-400 !default; // Antikode


/* ==========================================================================
   Tables
   ========================================================================== */

/* General
-------------------------------------------------- */
$table-cell-padding:          .75rem !default;
$table-cell-padding-sm:       .3rem !default;

$table-bg:                    transparent !default;
$table-accent-bg:             rgba($black, .05) !default;
$table-hover-bg:              rgba($black, .075) !default;
$table-active-bg:             $table-hover-bg !default;

$table-border-width:          $border-width !default;
$table-border-color:          $gray-300 !default;

$table-head-bg:               $gray-200 !default;
$table-head-color:            $gray-700 !default;

$table-dark-bg:               $gray-900 !default;
$table-dark-accent-bg:        rgba($white, .05) !default;
$table-dark-hover-bg:         rgba($white, .075) !default;
$table-dark-border-color:     lighten($gray-900, 7.5%) !default;
$table-dark-color:            $body-bg !default;

$table-striped-order:         odd !default;

$table-caption-color:         $text-muted !default;


/* ==========================================================================
   Buttons + Forms
   ========================================================================== */

/* General
-------------------------------------------------- */
$input-btn-padding-y:         .5rem !default;
$input-btn-padding-x:         .75rem !default;
$input-btn-line-height:       $line-height-base !default;

$input-btn-focus-width:       1px !default; // Antikode
$input-btn-focus-color:       $component-active-bg;
$input-btn-focus-box-shadow:  0 0 0 $input-btn-focus-width $input-btn-focus-color !default;

$input-btn-padding-y-sm:      .25rem !default;
$input-btn-padding-x-sm:      .5rem !default;
$input-btn-line-height-sm:    $line-height-sm !default;

$input-btn-padding-y-lg:      .5rem !default;
$input-btn-padding-x-lg:      1rem !default;
$input-btn-line-height-lg:    $line-height-lg !default;

$input-btn-border-width:      $border-width !default;


/* ==========================================================================
   Buttons
   ========================================================================== */

/* Padding & Line Height
-------------------------------------------------- */
$btn-padding-y:               $input-btn-padding-y !default;
$btn-padding-x:               $input-btn-padding-x * 2 !default; // Antikode
$btn-line-height:             $input-btn-line-height !default;

$btn-padding-y-sm:            $input-btn-padding-y-sm !default;
$btn-padding-x-sm:            $input-btn-padding-x-sm * 2 !default; // Antikode
$btn-line-height-sm:          $input-btn-line-height-sm !default;

$btn-padding-y-lg:            $input-btn-padding-y-lg !default;
$btn-padding-x-lg:            $input-btn-padding-x-lg * 2 !default; // Antikode
$btn-line-height-lg:          $input-btn-line-height-lg !default;

/* Components
-------------------------------------------------- */
$btn-font-weight:             $font-weight-normal !default;
$btn-box-shadow:              inset 0 1px 0 rgba($white, .15), 0 1px 1px rgba($black, .075) !default;
$btn-focus-width:             $input-btn-focus-width !default;
$btn-focus-box-shadow:        $input-btn-focus-box-shadow !default;
$btn-disabled-opacity:        .65 !default;
$btn-active-box-shadow:       inset 0 3px 5px rgba($black, .125) !default;

/* Border Radius (Custom)
-------------------------------------------------- */
$btn-border-radius:           $border-radius !default;
$btn-border-radius-lg:        $border-radius-lg !default;
$btn-border-radius-sm:        $border-radius-sm !default;


/* ==========================================================================
   Forms
   ========================================================================== */

/* Label
-------------------------------------------------- */
$label-margin-bottom:                   .5rem !default;

/* Paddings
-------------------------------------------------- */
$input-padding-y:                       $input-btn-padding-y !default;
$input-padding-x:                       $input-btn-padding-x !default;
$input-line-height:                     $input-btn-line-height !default;

$input-padding-y-sm:                    $input-btn-padding-y-sm !default;
$input-padding-x-sm:                    $input-btn-padding-x-sm !default;
$input-line-height-sm:                  $input-btn-line-height-sm !default;

$input-padding-y-lg:                    $input-btn-padding-y-lg !default;
$input-padding-x-lg:                    $input-btn-padding-x-lg !default;
$input-line-height-lg:                  $input-btn-line-height-lg !default;

/* General
-------------------------------------------------- */
$input-bg:                              $white !default;
$input-disabled-bg:                     $gray-200 !default;

$input-color:                           $body-color !default; // Antikode
$input-border-color:                    $gray-200 !default; // Antikode
$input-border-width:                    $input-btn-border-width !default;
$input-box-shadow:                      inset 0 1px 1px rgba($black, .075) !default;

$input-border-radius:                   $border-radius !default;
$input-border-radius-lg:                $border-radius-lg !default;
$input-border-radius-sm:                $border-radius-sm !default;

$input-focus-bg:                        $input-bg !default;
$input-focus-border-color:              lighten($component-active-bg, 25%) !default;
$input-focus-color:                     $input-color !default;
$input-focus-width:                     $input-btn-focus-width !default;
$input-focus-box-shadow:                $input-btn-focus-box-shadow !default;

/* Placeholder Color
-------------------------------------------------- */
$input-placeholder-color:               $gray-300 !default; // Antikode
$input-plaintext-color:                 $body-color !default;

/* Height & Border
-------------------------------------------------- */
$input-height-border:                   $input-border-width * 2 !default;

$input-height-inner:                    ($font-size-base * $input-btn-line-height) + ($input-btn-padding-y * 2) !default;
$input-height:                          calc(#{$input-height-inner} + #{$input-height-border}) !default;

$input-height-inner-sm:                 ($font-size-sm * $input-btn-line-height-sm) + ($input-btn-padding-y-sm * 2) !default;
$input-height-sm:                       calc(#{$input-height-inner-sm} + #{$input-height-border}) !default;

$input-height-inner-lg:                 ($font-size-lg * $input-btn-line-height-lg) + ($input-btn-padding-y-lg * 2) !default;
$input-height-lg:                       calc(#{$input-height-inner-lg} + #{$input-height-border}) !default;

$input-transition:                      border-color .15s ease-in-out, box-shadow .15s ease-in-out !default;

$form-text-margin-top:                  .25rem !default;

/* Form Check
-------------------------------------------------- */
$form-check-input-gutter:               1.25rem !default;
$form-check-input-margin-y:             .3rem !default;
$form-check-input-margin-x:             .25rem !default;

$form-check-inline-margin-x:            .75rem !default;
$form-check-inline-input-margin-x:      .3125rem !default;

/* Form & Input Group
-------------------------------------------------- */
$form-group-margin-bottom:              1rem !default;

$input-group-addon-color:               $input-color !default;
$input-group-addon-bg:                  $gray-100 !default; // Antikode
$input-group-addon-border-color:        $input-border-color !default;


/* ==========================================================================
   Forms - Custom
   ========================================================================== */

/* General
-------------------------------------------------- */
$custom-control-gutter:                 1.5rem !default;
$custom-control-spacer-x:               1rem !default;

$custom-control-indicator-size:         1rem !default;
$custom-control-indicator-bg:           $gray-100 !default; // Antikode
$custom-control-indicator-bg-size:      50% 50% !default;
$custom-control-indicator-box-shadow:   inset 0 .25rem .25rem rgba($black, .1) !default;

$custom-control-indicator-disabled-bg:          $gray-200 !default;
$custom-control-label-disabled-color:     $gray-600 !default;

$custom-control-indicator-checked-color:        $component-active-color !default;
$custom-control-indicator-checked-bg:           $component-active-bg !default;
$custom-control-indicator-checked-disabled-bg:  rgba(theme-color("primary"), .5) !default;
$custom-control-indicator-checked-box-shadow:   none !default;

$custom-control-indicator-focus-box-shadow:     0 0 0 1px $body-bg, $input-btn-focus-box-shadow !default;

$custom-control-indicator-active-color:         $component-active-color !default;
$custom-control-indicator-active-bg:            lighten($component-active-bg, 35%) !default;
$custom-control-indicator-active-box-shadow:    none !default;

/* Custom Checkbox
-------------------------------------------------- */
$custom-checkbox-indicator-border-radius:       $border-radius !default;
$custom-checkbox-indicator-icon-checked:        str-replace(url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3E%3Cpath fill='#{$custom-control-indicator-checked-color}' d='M6.564.75l-3.59 3.612-1.538-1.55L0 4.26 2.974 7.25 8 2.193z'/%3E%3C/svg%3E"), "#", "%23") !default;

$custom-checkbox-indicator-indeterminate-bg:    $component-active-bg !default;
$custom-checkbox-indicator-indeterminate-color: $custom-control-indicator-checked-color !default;
$custom-checkbox-indicator-icon-indeterminate:  str-replace(url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 4 4'%3E%3Cpath stroke='#{$custom-checkbox-indicator-indeterminate-color}' d='M0 2h4'/%3E%3C/svg%3E"), "#", "%23") !default;
$custom-checkbox-indicator-indeterminate-box-shadow: none !default;

/* Custom Radio
-------------------------------------------------- */
$custom-radio-indicator-border-radius:          50% !default;
$custom-radio-indicator-icon-checked:           str-replace(url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3E%3Ccircle r='3' fill='#{$custom-control-indicator-checked-color}'/%3E%3C/svg%3E"), "#", "%23") !default;

/* Custom Select
-------------------------------------------------- */
$custom-select-padding-y:           $input-btn-padding-y !default; // Antikode
$custom-select-padding-x:           $input-btn-padding-x !default; // Antikode
$custom-select-height:              $input-height !default;
$custom-select-indicator-padding:   1rem !default; // Extra padding to account for the presence of the background-image based indicator
$custom-select-line-height:         $input-btn-line-height !default;
$custom-select-color:               $input-color !default;
$custom-select-disabled-color:      $gray-600 !default;
$custom-select-bg:                  $white !default;
$custom-select-disabled-bg:         $gray-200 !default;
$custom-select-bg-size:             8px 10px !default; // In pixels because image dimensions
$custom-select-indicator-color:     $gray-800 !default;
$custom-select-indicator:           str-replace(url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 4 5'%3E%3Cpath fill='#{$custom-select-indicator-color}' d='M2 0L0 2h4zm0 5L0 3h4z'/%3E%3C/svg%3E"), "#", "%23") !default;
$custom-select-border-width:        $input-btn-border-width !default;
$custom-select-border-color:        $input-border-color !default;
$custom-select-border-radius:       $border-radius !default;

$custom-select-focus-border-color:  $input-focus-border-color !default;
$custom-select-focus-box-shadow:    0 0 0 $input-btn-focus-width $input-btn-focus-color !default;

$custom-select-font-size-sm:        75% !default;
$custom-select-height-sm:           $input-height-sm !default;

$custom-select-font-size-lg:        125% !default;
$custom-select-height-lg:           $input-height-lg !default;

/* Custom Range
-------------------------------------------------- */
$custom-range-track-width:          100% !default;
$custom-range-track-height:         .5rem !default;
$custom-range-track-cursor:         pointer !default;
$custom-range-track-bg:             $gray-300 !default;
$custom-range-track-border-radius:  1rem !default;
$custom-range-track-box-shadow:     inset 0 .25rem .25rem rgba($black, .1) !default;

$custom-range-thumb-width:            1rem !default;
$custom-range-thumb-height:           $custom-range-thumb-width !default;
$custom-range-thumb-bg:               $component-active-bg !default;
$custom-range-thumb-border:           0 !default;
$custom-range-thumb-border-radius:    1rem !default;
$custom-range-thumb-box-shadow:       0 .1rem .25rem rgba($black, .1) !default;
$custom-range-thumb-focus-box-shadow: 0 0 0 1px $body-bg, $input-btn-focus-box-shadow !default;
$custom-range-thumb-active-bg:        lighten($component-active-bg, 35%) !default;

/* Custom File
-------------------------------------------------- */
$custom-file-padding-y:             $input-btn-padding-y !default;
$custom-file-padding-x:             $input-btn-padding-x !default;
$custom-file-line-height:           $input-btn-line-height !default;
$custom-file-color:                 $input-color !default;
$custom-file-bg:                    $input-bg !default;
$custom-file-border-width:          $input-btn-border-width !default;
$custom-file-border-color:          $input-border-color !default;
$custom-file-border-radius:         $input-border-radius !default;
$custom-file-box-shadow:            $input-box-shadow !default;
$custom-file-button-color:          $custom-file-color !default;
$custom-file-button-bg:             $input-group-addon-bg !default;
$custom-file-text: (
  en: "Browse"
) !default;

/* Form Validation
-------------------------------------------------- */
$form-feedback-margin-top:          $form-text-margin-top !default;
$form-feedback-font-size:           $small-font-size !default;
$form-feedback-valid-color:         $body-color !default;
$form-feedback-invalid-color:       theme-color("danger") !default;


/* ==========================================================================
   Dropdowns
   ========================================================================== */

/* General
-------------------------------------------------- */
$dropdown-min-width:                10rem !default;
$dropdown-padding-y:                .5rem !default;
$dropdown-spacer:                   .125rem !default;
$dropdown-bg:                       $white !default;
$dropdown-border-color:             rgba($black, .15) !default;
$dropdown-border-radius:            $border-radius !default;
$dropdown-border-width:             $border-width !default;
$dropdown-divider-bg:               $gray-200 !default;
$dropdown-box-shadow:               0 .5rem 1rem rgba($black, .175) !default;

$dropdown-link-color:               $gray-900 !default;
$dropdown-link-hover-color:         darken($gray-900, 5%) !default;
$dropdown-link-hover-bg:            $gray-100 !default;

$dropdown-link-active-color:        $component-active-color !default;
$dropdown-link-active-bg:           $component-active-bg !default;

$dropdown-link-disabled-color:      $gray-600 !default;

$dropdown-item-padding-y:           .25rem !default;
$dropdown-item-padding-x:           1.5rem !default;

$dropdown-header-color:             $gray-600 !default;


/* ==========================================================================
   Nav
   ========================================================================== */

/* General
-------------------------------------------------- */
$nav-link-padding-y:                .5rem !default;
$nav-link-padding-x:                1rem !default;
$nav-link-disabled-color:           $gray-600 !default;

/* Tabs
-------------------------------------------------- */
$nav-tabs-border-color:             $gray-300 !default;
$nav-tabs-border-width:             $border-width !default;
$nav-tabs-border-radius:            $border-radius !default;
$nav-tabs-link-hover-border-color:  $gray-200 $gray-200 $nav-tabs-border-color !default;
$nav-tabs-link-active-color:        $gray-700 !default;
$nav-tabs-link-active-bg:           $body-bg !default;
$nav-tabs-link-active-border-color: $gray-300 $gray-300 $nav-tabs-link-active-bg !default;

/* Pills
-------------------------------------------------- */
$nav-pills-border-radius:           $border-radius !default;
$nav-pills-link-active-color:       $component-active-color !default;
$nav-pills-link-active-bg:          $component-active-bg !default;

/* Divider
-------------------------------------------------- */
$nav-divider-color:                 $gray-200 !default;
$nav-divider-margin-y:              ($spacer / 2) !default;

/* ==========================================================================
   Navbar
   ========================================================================== */

/* General
-------------------------------------------------- */
$navbar-padding-y:                  ($spacer / 2) !default;
$navbar-padding-x:                  $spacer !default;

$navbar-nav-link-padding-x:         .5rem !default;

$navbar-brand-font-size:            $font-size-lg !default;
// $nav-link-height:                   ($font-size-base * $line-height-base + $nav-link-padding-y * 2) !default;
$navbar-brand-height:               $navbar-brand-font-size * $line-height-base !default;
// $navbar-brand-padding-y:            ($nav-link-height - $navbar-brand-height) / 2 !default;

/* Navbar Toggler
-------------------------------------------------- */
$navbar-toggler-padding-y:          .25rem !default;
$navbar-toggler-padding-x:          0 !default; // Antikode
$navbar-toggler-font-size:          $font-size-lg !default;
// $navbar-toggler-border-radius:      $btn-border-radius !default;

/* Navbar Theme
-------------------------------------------------- */
$navbar-dark-color:                 rgba($white, .5) !default;
$navbar-dark-hover-color:           rgba($white, .75) !default;
$navbar-dark-active-color:          $white !default;
$navbar-dark-disabled-color:        rgba($white, .25) !default;
$navbar-dark-toggler-icon-bg:       str-replace(url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='#{$navbar-dark-color}' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E"), "#", "%23") !default;
$navbar-dark-toggler-border-color:  rgba($white, 0) !default; // Antikode

$navbar-light-color:                rgba($black, .5) !default;
$navbar-light-hover-color:          rgba($black, .7) !default;
$navbar-light-active-color:         rgba($black, .9) !default;
$navbar-light-disabled-color:       rgba($black, .3) !default;
$navbar-light-toggler-icon-bg:      str-replace(url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='#{$navbar-light-color}' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E"), "#", "%23") !default;
$navbar-light-toggler-border-color: rgba($black, 0) !default; // Antikode


/* ==========================================================================
   Pagination
   ========================================================================== */

/* General
-------------------------------------------------- */
$pagination-padding-y:              .5rem !default;
$pagination-padding-x:              .75rem !default;
$pagination-padding-y-sm:           .25rem !default;
$pagination-padding-x-sm:           .5rem !default;
$pagination-padding-y-lg:           .75rem !default;
$pagination-padding-x-lg:           1.5rem !default;
$pagination-line-height:            1.25 !default;

$pagination-color:                  $link-color !default;
$pagination-bg:                     $white !default;
$pagination-border-width:           $border-width !default;
$pagination-border-color:           $gray-300 !default;

$pagination-focus-box-shadow:       $input-btn-focus-box-shadow !default;
$pagination-focus-outline:          0 !default;

$pagination-hover-color:            $link-hover-color !default;
$pagination-hover-bg:               $gray-200 !default;
$pagination-hover-border-color:     $gray-300 !default;

$pagination-active-color:           $component-active-color !default;
$pagination-active-bg:              $component-active-bg !default;
$pagination-active-border-color:    $pagination-active-bg !default;

$pagination-disabled-color:         $gray-600 !default;
$pagination-disabled-bg:            $white !default;
$pagination-disabled-border-color:  $gray-300 !default;


/* ==========================================================================
   Cards
   ========================================================================== */

/* General
-------------------------------------------------- */
$card-spacer-y:                     1rem !default; // Antikode
$card-spacer-x:                     1.5rem !default; // Antikode
$card-border-width:                 $border-width !default;
$card-border-radius:                $border-radius !default;
$card-border-color:                 rgba($black, .125) !default;
$card-inner-border-radius:          calc(#{$card-border-radius} - #{$card-border-width}) !default;
$card-cap-bg:                       rgba($black, .03) !default;
$card-bg:                           $white !default;

$card-img-overlay-padding:          1.25rem !default;

// $card-group-margin:                 ($grid-gutter-width / 2) !default;
// $card-deck-margin:                  $card-group-margin !default;

$card-columns-count:                3 !default;
$card-columns-gap:                  1.25rem !default;
$card-columns-margin:               $card-spacer-y !default;


/* ==========================================================================
   Modal
   ========================================================================== */

/* General
-------------------------------------------------- */
$modal-inner-padding:         1rem !default;

$modal-dialog-margin:         .5rem !default;
$modal-dialog-margin-y-sm-up: 1.75rem !default;

$modal-title-line-height:           $line-height-base !default;

$modal-content-bg:               $white !default;
$modal-content-border-color:     rgba($black, .2) !default;
$modal-content-border-width:     $border-width !default;
$modal-content-box-shadow-xs:    0 .25rem .5rem rgba($black, .5) !default;
$modal-content-box-shadow-sm-up: 0 .5rem 1rem rgba($black, .5) !default;

$modal-backdrop-bg:           $black !default;
$modal-backdrop-opacity:      .5 !default;
$modal-header-border-color:   $gray-200 !default;
$modal-footer-border-color:   $modal-header-border-color !default;
$modal-header-border-width:   $modal-content-border-width !default;
$modal-footer-border-width:   $modal-header-border-width !default;
$modal-header-padding:        1rem !default;

$modal-lg:                          800px !default;
$modal-md:                          500px !default;
$modal-sm:                          400px !default; // Antikode

$modal-transition:                  transform .3s ease-out !default;


/* ==========================================================================
   Alert
   ========================================================================== */

/* General
-------------------------------------------------- */
$alert-padding-y:                   1rem !default; // Antikode
$alert-padding-x:                   1.5rem !default; // Antikode
$alert-margin-bottom:               1rem !default;
$alert-border-radius:               $border-radius !default;
$alert-link-font-weight:            $font-weight-bold !default;
$alert-border-width:                $border-width !default;

$alert-bg-level:                    -10 !default;
$alert-border-level:                -9 !default;
$alert-color-level:                 6 !default;


/* ==========================================================================
   Breadcrumb
   ========================================================================== */

/* General
-------------------------------------------------- */
$breadcrumb-padding-y:              .75rem !default;
$breadcrumb-padding-x:              1rem !default;
$breadcrumb-item-padding:           .5rem !default;

$breadcrumb-margin-bottom:          1rem !default;

$breadcrumb-bg:                     $gray-200 !default;
$breadcrumb-divider-color:          $gray-600 !default;
$breadcrumb-active-color:           $gray-600 !default;
$breadcrumb-divider:                "/" !default;

$breadcrumb-border-radius:          $border-radius !default;

/* Close
-------------------------------------------------- */
$close-font-size:                   $font-size-base * 1.5 !default;
$close-font-weight:                 $font-weight-bold !default;
$close-color:                       $black !default;
$close-text-shadow:                 0 1px 0 $white !default;


/* ==========================================================================
   Carousel
   ========================================================================== */

/* General
-------------------------------------------------- */
$carousel-control-color:            $white !default;
$carousel-control-width:            15% !default;
$carousel-control-opacity:          .5 !default;

$carousel-indicator-width:          30px !default;
$carousel-indicator-height:         3px !default;
$carousel-indicator-spacer:         3px !default;
$carousel-indicator-active-bg:      $white !default;

$carousel-caption-width:            70% !default;
$carousel-caption-color:            $white !default;

$carousel-control-icon-width:       20px !default;

$carousel-control-prev-icon-bg:     str-replace(url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='#{$carousel-control-color}' viewBox='0 0 8 8'%3E%3Cpath d='M5.25 0l-4 4 4 4 1.5-1.5-2.5-2.5 2.5-2.5-1.5-1.5z'/%3E%3C/svg%3E"), "#", "%23") !default;
$carousel-control-next-icon-bg:     str-replace(url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='#{$carousel-control-color}' viewBox='0 0 8 8'%3E%3Cpath d='M2.75 0l-1.5 1.5 2.5 2.5-2.5 2.5 1.5 1.5 4-4-4-4z'/%3E%3C/svg%3E"), "#", "%23") !default;

$carousel-transition:               transform .6s ease !default;
